## MgDataCellRendererInfo

MgDataCellRendererInfo — Cell renderer to display a cell contextual menu

## Synopsis

    struct      MgDataCellRendererInfo;
    GType       mg_data_cell_renderer_info_get_type
                                                (void);
    GtkCellRenderer* mg_data_cell_renderer_info_new
                                                (void);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkCellRenderer
                   +----MgDataCellRendererInfo

## Properties

      "editable"             gboolean             : Read / Write
      "to-be-deleted"        gboolean             : Write
      "value"                gpointer             : Write
      "value-attributes"     guint                : Read / Write
      "values"               gpointer             : Write
      "values-complete"      gpointer             : Write

## Signal Prototypes

    "status-changed"
                void        user_function      (MgDataCellRendererInfo *mgdatacellrendererinfo,
                                                gchar *arg1,
                                                guint arg2,
                                                gpointer user_data);

## Description

## Details

### struct MgDataCellRendererInfo

    struct MgDataCellRendererInfo;

### mg_data_cell_renderer_info_get_type ()

    GType       mg_data_cell_renderer_info_get_type
                                                (void);

Returns : |

### mg_data_cell_renderer_info_new ()

    GtkCellRenderer* mg_data_cell_renderer_info_new
                                                (void);

Creates a new MgDataCellRendererInfo. Adjust rendering parameters using object properties. Object properties can be set globally (with `g_object_set()`). Also, with GtkTreeViewColumn, you can bind a property to a value in a GtkTreeModel. For example, you can bind the "active" property on the cell renderer to a boolean value in the model, thus causing the check button to reflect the state of the model.

Returns : | the new cell renderer

## Properties

"`editable`" (gboolean : Read / Write) | The information and status changer can be activated.
"`to-be-deleted`" (gboolean : Write) |
"`value`" (gpointer : Write) | GdaValue to display information for.
"`value-attributes`" (guint : Read / Write) |
"`values`" (gpointer : Write) | GList of the GdaValues to display information for.
"`values-complete`" (gpointer : Write) | GList of GdaValue to render, limited to PK fields.

## Signals

### The "status-changed" signal

    void        user_function                  (MgDataCellRendererInfo *mgdatacellrendererinfo,
                                                gchar *arg1,
                                                guint arg2,
                                                gpointer user_data);

`mgdatacellrendererinfo` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.